## Add ShipTo IDs to Cart Items

### cURL

```bash
curl --request PATCH \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/ship-to \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
[
  {
    "itemId": 123456,
    "lineItemId": 3,
    "shipTo": "5e5818a84d030c206b2ffb02"
  }
]
'```

### Python

```python
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/ship-to"

payload = [
    {
        "itemId": 123456,
        "lineItemId": 3,
        "shipTo": "5e5818a84d030c206b2ffb02"
    }
]
headers = {
    "x-site-context": "<x-site-context>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'PATCH',
  headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
  body: JSON.stringify([{itemId: 123456, lineItemId: 3, shipTo: '5e5818a84d030c206b2ffb02'}])
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/ship-to', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/ship-to",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    [
        'itemId' => 123456,
        'lineItemId' => 3,
        'shipTo' => '5e5818a84d030c206b2ffb02'
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/ship-to"

payload := strings.NewReader("[\n  {\n    \"itemId\": 123456,\n    \"lineItemId\": 3,\n    \"shipTo\": \"5e5818a84d030c206b2ffb02\"\n  }\n]")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.patch("https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/ship-to")
  .header("x-site-context", "<x-site-context>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"itemId\": 123456,\n    \"lineItemId\": 3,\n    \"shipTo\": \"5e5818a84d030c206b2ffb02\"\n  }]\")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/ship-to")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"itemId\": 123456,\n    \"lineItemId\": 3,\n    \"shipTo\": \"5e5818a84d030c206b2ffb02\"\n  }]"

response = http.request(request)
puts response.read_body
```

### Headers

- **x-site-context**: string, required. The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel`, `stage`, and `date` attributes can further narrow the scope of your data source.

Example: 
  `{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}`

### Path Parameters

- **cartId**: string, required. Required string length: `24`. Example: `"5e5818a84d030c206b2ffb02"`

### Body

- **itemId**: string, required. Example: `123456`
- **lineItemId**: number, required. Example: `3`
- **shipTo**: string, required. Required string length: `24`. Example: `"5e5818a84d030c206b2ffb02"`

### Response

- **200**: application/json

`"shipTo added to cart"`

- **Error Codes**: 
  - `400`
  - `500`

Example error response:
```json
{
  "code": "<string>",
  "message": "<string>"
}
```
